/// <reference types="react" />
import "./styles.scss";
export interface HeadingProps {
    as: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    addlClassName?: string;
    size: "xxl" | "xl" | "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
}
interface HProps extends HeadingProps, React.HtmlHTMLAttributes<HTMLHeadingElement> {
    children: string | React.ReactNode;
}
export declare const Heading: React.FC<HProps>;
export interface CaptionProps {
    size: "lg" | "md" | "sm" | "xs";
    addlClassName?: string;
    children: string | React.ReactNode;
}
interface CProps extends CaptionProps, React.HtmlHTMLAttributes<HTMLDivElement> {
    children: string | React.ReactNode;
}
export declare const Caption: React.FC<CProps>;
export interface ParagraphProps {
    addlClassName?: string;
    size: "lg" | "md" | "sm" | "xs";
    asDiv?: boolean;
    children: string | React.ReactNode;
}
interface PProps extends ParagraphProps, React.HtmlHTMLAttributes<HTMLParagraphElement | HTMLDivElement> {
    children: string | React.ReactNode;
}
export declare const Paragraph: React.FC<PProps>;
export interface TitleProps {
    addlClassName?: string;
    size: "lg" | "md" | "sm" | "xs";
    children: string | React.ReactNode;
}
interface TProps extends TitleProps, React.HtmlHTMLAttributes<HTMLDivElement> {
    children: string | React.ReactNode;
}
export declare const Title: React.FC<TProps>;
export {};
//# sourceMappingURL=index.d.ts.map